GET /api/org/clients/:id/orders/:orderId

One order of a client, status and price, never the review.

Surface: organisation. Who may call: organisation-key. Key: organisation.orders.get.

Example request

curl -X GET https://caremcp.com/api/org/clients/7d1f0a0e-2c4b-4c7e-9a6e-000000000001/orders/7d1f0a0e-2c4b-4c7e-9a6e-000000000001 \
  -H "Authorization: Bearer <API key or session>"

Example input

{
  "id": "7d1f0a0e-2c4b-4c7e-9a6e-000000000001",
  "orderId": "7d1f0a0e-2c4b-4c7e-9a6e-000000000001"
}

Input schema

{
 "$schema": "https://json-schema.org/draft/2020-12/schema",
 "type": "object",
 "properties": {
  "id": {
   "type": "string",
   "format": "uuid",
   "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
  },
  "orderId": {
   "type": "string",
   "format": "uuid",
   "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
  }
 },
 "required": [
  "id",
  "orderId"
 ]
}

Output schema

{
 "$schema": "https://json-schema.org/draft/2020-12/schema",
 "type": "object",
 "properties": {
  "id": {
   "type": "string"
  },
  "protocol": {
   "type": "string"
  },
  "professions": {
   "type": "array",
   "items": {
    "type": "string"
   }
  },
  "status": {
   "type": "string",
   "enum": [
    "queued",
    "assigned",
    "reviewed",
    "refused"
   ]
  },
  "professionalId": {
   "type": [
    "string",
    "null"
   ]
  },
  "priceCents": {
   "type": "integer",
   "minimum": -9007199254740991,
   "maximum": 9007199254740991
  },
  "currency": {
   "type": "string",
   "enum": [
    "USD",
    "EUR"
   ]
  },
  "createdAt": {
   "type": "string"
  },
  "claimedAt": {
   "type": [
    "string",
    "null"
   ]
  },
  "reviewedAt": {
   "type": [
    "string",
    "null"
   ]
  },
  "clientId": {
   "type": "string"
  },
  "clientRef": {
   "type": [
    "string",
    "null"
   ]
  }
 },
 "required": [
  "id",
  "protocol",
  "professions",
  "status",
  "professionalId",
  "priceCents",
  "currency",
  "createdAt",
  "claimedAt",
  "reviewedAt",
  "clientId",
  "clientRef"
 ],
 "additionalProperties": false
}